> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Changes

> [Deprecated] Returns changes for a given account, contract or contract code for given block height or hash. Consider using changes instead.



## OpenAPI

````yaml /openapi.json post /EXPERIMENTAL_changes
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.3
servers:
  - url: https://rpc.mainnet.near.org
    description: Mainnet
  - url: https://rpc.testnet.near.org
    description: Testnet
security: []
paths:
  /EXPERIMENTAL_changes:
    post:
      summary: Account Changes
      description: >-
        [Deprecated] Returns changes for a given account, contract or contract
        code for given block height or hash. Consider using changes instead.
      operationId: EXPERIMENTAL_changes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_EXPERIMENTAL_changes'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError
components:
  schemas:
    JsonRpcRequest_for_EXPERIMENTAL_changes:
      properties:
        id:
          type: string
        jsonrpc:
          type: string
        method:
          enum:
            - EXPERIMENTAL_changes
          type: string
        params:
          $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest'
      required:
        - jsonrpc
        - id
        - params
        - method
      title: JsonRpcRequest_for_EXPERIMENTAL_changes
      type: object
    JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError:
      oneOf:
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError_variant0
        - $ref: >-
            #/components/schemas/JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError_variant1
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: >-
        JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError
      type: object
    RpcStateChangesInBlockByTypeRequest:
      description: |-
        It is a [serializable view] of [`StateChangesRequest`].

        [serializable view]: ./index.html
        [`StateChangesRequest`]: ../types/struct.StateChangesRequest.html
      oneOf:
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant0'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant1'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant2'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant3'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant4'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant5'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant6'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant7'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant8'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant9'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant10'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant11'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant12'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant13'
        - $ref: '#/components/schemas/RpcStateChangesInBlockByTypeRequest_variant14'
      title: RpcStateChangesInBlockByTypeRequest
      type: object
    JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError_variant0:
      properties:
        result:
          $ref: '#/components/schemas/RpcStateChangesInBlockResponse'
      required:
        - result
      type: object
    JsonRpcResponse_for_RpcStateChangesInBlockResponse_and_RpcStateChangesError_variant1:
      properties:
        error:
          $ref: '#/components/schemas/ErrorWrapper_for_RpcStateChangesError'
      required:
        - error
      type: object
    RpcStateChangesInBlockByTypeRequest_variant0:
      allOf:
        - properties:
            block_id:
              $ref: '#/components/schemas/BlockId'
          required:
            - block_id
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - account_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: account_changes_by_block_id
    RpcStateChangesInBlockByTypeRequest_variant1:
      allOf:
        - properties:
            block_id:
              $ref: '#/components/schemas/BlockId'
          required:
            - block_id
          type: object
        - properties:
            changes_type:
              enum:
                - single_access_key_changes
              type: string
            keys:
              items:
                $ref: '#/components/schemas/AccountWithPublicKey'
              type: array
          required:
            - changes_type
            - keys
          type: object
      title: single_access_key_changes_by_block_id
    RpcStateChangesInBlockByTypeRequest_variant2:
      allOf:
        - properties:
            block_id:
              $ref: '#/components/schemas/BlockId'
          required:
            - block_id
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - all_access_key_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: all_access_key_changes_by_block_id
    RpcStateChangesInBlockByTypeRequest_variant3:
      allOf:
        - properties:
            block_id:
              $ref: '#/components/schemas/BlockId'
          required:
            - block_id
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - contract_code_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: contract_code_changes_by_block_id
    RpcStateChangesInBlockByTypeRequest_variant4:
      allOf:
        - properties:
            block_id:
              $ref: '#/components/schemas/BlockId'
          required:
            - block_id
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - data_changes
              type: string
            key_prefix_base64:
              $ref: '#/components/schemas/StoreKey'
          required:
            - changes_type
            - account_ids
            - key_prefix_base64
          type: object
      title: data_changes_by_block_id
    RpcStateChangesInBlockByTypeRequest_variant5:
      allOf:
        - properties:
            finality:
              $ref: '#/components/schemas/Finality'
          required:
            - finality
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - account_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: account_changes_by_finality
    RpcStateChangesInBlockByTypeRequest_variant6:
      allOf:
        - properties:
            finality:
              $ref: '#/components/schemas/Finality'
          required:
            - finality
          type: object
        - properties:
            changes_type:
              enum:
                - single_access_key_changes
              type: string
            keys:
              items:
                $ref: '#/components/schemas/AccountWithPublicKey'
              type: array
          required:
            - changes_type
            - keys
          type: object
      title: single_access_key_changes_by_finality
    RpcStateChangesInBlockByTypeRequest_variant7:
      allOf:
        - properties:
            finality:
              $ref: '#/components/schemas/Finality'
          required:
            - finality
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - all_access_key_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: all_access_key_changes_by_finality
    RpcStateChangesInBlockByTypeRequest_variant8:
      allOf:
        - properties:
            finality:
              $ref: '#/components/schemas/Finality'
          required:
            - finality
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - contract_code_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: contract_code_changes_by_finality
    RpcStateChangesInBlockByTypeRequest_variant9:
      allOf:
        - properties:
            finality:
              $ref: '#/components/schemas/Finality'
          required:
            - finality
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - data_changes
              type: string
            key_prefix_base64:
              $ref: '#/components/schemas/StoreKey'
          required:
            - changes_type
            - account_ids
            - key_prefix_base64
          type: object
      title: data_changes_by_finality
    RpcStateChangesInBlockByTypeRequest_variant10:
      allOf:
        - properties:
            sync_checkpoint:
              $ref: '#/components/schemas/SyncCheckpoint'
          required:
            - sync_checkpoint
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - account_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: account_changes_by_sync_checkpoint
    RpcStateChangesInBlockByTypeRequest_variant11:
      allOf:
        - properties:
            sync_checkpoint:
              $ref: '#/components/schemas/SyncCheckpoint'
          required:
            - sync_checkpoint
          type: object
        - properties:
            changes_type:
              enum:
                - single_access_key_changes
              type: string
            keys:
              items:
                $ref: '#/components/schemas/AccountWithPublicKey'
              type: array
          required:
            - changes_type
            - keys
          type: object
      title: single_access_key_changes_by_sync_checkpoint
    RpcStateChangesInBlockByTypeRequest_variant12:
      allOf:
        - properties:
            sync_checkpoint:
              $ref: '#/components/schemas/SyncCheckpoint'
          required:
            - sync_checkpoint
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - all_access_key_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: all_access_key_changes_by_sync_checkpoint
    RpcStateChangesInBlockByTypeRequest_variant13:
      allOf:
        - properties:
            sync_checkpoint:
              $ref: '#/components/schemas/SyncCheckpoint'
          required:
            - sync_checkpoint
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - contract_code_changes
              type: string
          required:
            - changes_type
            - account_ids
          type: object
      title: contract_code_changes_by_sync_checkpoint
    RpcStateChangesInBlockByTypeRequest_variant14:
      allOf:
        - properties:
            sync_checkpoint:
              $ref: '#/components/schemas/SyncCheckpoint'
          required:
            - sync_checkpoint
          type: object
        - properties:
            account_ids:
              items:
                $ref: '#/components/schemas/AccountId'
              type: array
            changes_type:
              enum:
                - data_changes
              type: string
            key_prefix_base64:
              $ref: '#/components/schemas/StoreKey'
          required:
            - changes_type
            - account_ids
            - key_prefix_base64
          type: object
      title: data_changes_by_sync_checkpoint
    RpcStateChangesInBlockResponse:
      properties:
        block_hash:
          $ref: '#/components/schemas/CryptoHash'
        changes:
          items:
            $ref: '#/components/schemas/StateChangeWithCauseView'
          type: array
      required:
        - block_hash
        - changes
      type: object
    ErrorWrapper_for_RpcStateChangesError:
      oneOf:
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStateChangesError_variant0'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStateChangesError_variant1'
        - $ref: '#/components/schemas/ErrorWrapper_for_RpcStateChangesError_variant2'
    BlockId:
      anyOf:
        - $ref: '#/components/schemas/BlockId_variant0'
        - $ref: '#/components/schemas/CryptoHash'
    AccountId:
      description: >-
        NEAR Account Identifier.


        This is a unique, syntactically valid, human-readable account identifier
        on the NEAR network.


        [See the crate-level docs for information about
        validation.](index.html#account-id-rules)


        Also see [Error kind precedence](AccountId#error-kind-precedence).


        ## Examples


        ```

        use near_account_id::AccountId;


        let alice: AccountId = "alice.near".parse().unwrap();


        assert!("ƒelicia.near".parse::<AccountId>().is_err()); // (ƒ is not f)

        ```
      title: AccountId
      type: string
    AccountWithPublicKey:
      description: Account ID with its public key.
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        public_key:
          $ref: '#/components/schemas/PublicKey'
      required:
        - account_id
        - public_key
      type: object
    StoreKey:
      description: >-
        This type is used to mark keys (arrays of bytes) that are queried from
        store.


        NOTE: Currently, this type is only used in the view_client and RPC to be
        able to transparently

        pretty-serialize the bytes arrays as base64-encoded strings (see
        `serialize.rs`).
      format: bytes
      type: string
    Finality:
      description: Different types of finality.
      enum:
        - optimistic
        - near-final
        - final
      type: string
    SyncCheckpoint:
      enum:
        - genesis
        - earliest_available
      type: string
    CryptoHash:
      type: string
    StateChangeWithCauseView:
      oneOf:
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant0'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant1'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant2'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant3'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant4'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant5'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant6'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant7'
        - $ref: '#/components/schemas/StateChangeWithCauseView_variant8'
      properties:
        cause:
          $ref: '#/components/schemas/StateChangeCauseView'
      required:
        - cause
      type: object
    ErrorWrapper_for_RpcStateChangesError_variant0:
      properties:
        cause:
          $ref: '#/components/schemas/RpcRequestValidationErrorKind'
        name:
          enum:
            - REQUEST_VALIDATION_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcStateChangesError_variant1:
      properties:
        cause:
          $ref: '#/components/schemas/RpcStateChangesError'
        name:
          enum:
            - HANDLER_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    ErrorWrapper_for_RpcStateChangesError_variant2:
      properties:
        cause:
          $ref: '#/components/schemas/InternalError'
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - cause
      type: object
    BlockId_variant0:
      format: uint64
      minimum: 0
      title: block_height
      type: integer
    PublicKey:
      type: string
    StateChangeWithCauseView_variant0:
      properties:
        change:
          description: A view of the account
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            amount:
              $ref: '#/components/schemas/NearToken'
            code_hash:
              $ref: '#/components/schemas/CryptoHash'
            global_contract_account_id:
              anyOf:
                - $ref: '#/components/schemas/AccountId'
                - enum:
                    - null
                  nullable: true
            global_contract_hash:
              anyOf:
                - $ref: '#/components/schemas/CryptoHash'
                - enum:
                    - null
                  nullable: true
            locked:
              $ref: '#/components/schemas/NearToken'
            storage_paid_at:
              default: 0
              description: 'TODO(2271): deprecated.'
              format: uint64
              minimum: 0
              type: integer
            storage_usage:
              format: uint64
              minimum: 0
              type: integer
          required:
            - account_id
            - amount
            - locked
            - code_hash
            - storage_usage
          type: object
        type:
          enum:
            - account_update
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant1:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
        type:
          enum:
            - account_deletion
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant2:
      properties:
        change:
          properties:
            access_key:
              $ref: '#/components/schemas/AccessKeyView'
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
            - access_key
          type: object
        type:
          enum:
            - access_key_update
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant3:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
          type: object
        type:
          enum:
            - access_key_deletion
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant4:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            index:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            nonce:
              format: uint64
              minimum: 0
              type: integer
            public_key:
              $ref: '#/components/schemas/PublicKey'
          required:
            - account_id
            - public_key
            - index
            - nonce
          type: object
        type:
          enum:
            - gas_key_nonce_update
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant5:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            key_base64:
              $ref: '#/components/schemas/StoreKey'
            value_base64:
              $ref: '#/components/schemas/StoreValue'
          required:
            - account_id
            - key_base64
            - value_base64
          type: object
        type:
          enum:
            - data_update
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant6:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            key_base64:
              $ref: '#/components/schemas/StoreKey'
          required:
            - account_id
            - key_base64
          type: object
        type:
          enum:
            - data_deletion
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant7:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
            code_base64:
              type: string
          required:
            - account_id
            - code_base64
          type: object
        type:
          enum:
            - contract_code_update
          type: string
      required:
        - type
        - change
      type: object
    StateChangeWithCauseView_variant8:
      properties:
        change:
          properties:
            account_id:
              $ref: '#/components/schemas/AccountId'
          required:
            - account_id
          type: object
        type:
          enum:
            - contract_code_deletion
          type: string
      required:
        - type
        - change
      type: object
    StateChangeCauseView:
      description: See crate::types::StateChangeCause for details.
      oneOf:
        - $ref: '#/components/schemas/StateChangeCauseView_variant0'
        - $ref: '#/components/schemas/StateChangeCauseView_variant1'
        - $ref: '#/components/schemas/StateChangeCauseView_variant2'
        - $ref: '#/components/schemas/StateChangeCauseView_variant3'
        - $ref: '#/components/schemas/StateChangeCauseView_variant4'
        - $ref: '#/components/schemas/StateChangeCauseView_variant5'
        - $ref: '#/components/schemas/StateChangeCauseView_variant6'
        - $ref: '#/components/schemas/StateChangeCauseView_variant7'
        - $ref: '#/components/schemas/StateChangeCauseView_variant8'
        - $ref: '#/components/schemas/StateChangeCauseView_variant9'
        - $ref: '#/components/schemas/StateChangeCauseView_variant10'
    RpcRequestValidationErrorKind:
      oneOf:
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant0'
        - $ref: '#/components/schemas/RpcRequestValidationErrorKind_variant1'
    RpcStateChangesError:
      oneOf:
        - $ref: '#/components/schemas/RpcStateChangesError_variant0'
        - $ref: '#/components/schemas/RpcStateChangesError_variant1'
        - $ref: '#/components/schemas/RpcStateChangesError_variant2'
    InternalError:
      oneOf:
        - $ref: '#/components/schemas/InternalError_variant0'
    NearToken:
      type: string
    AccessKeyView:
      description: Describes access key permission scope and nonce.
      properties:
        nonce:
          format: uint64
          minimum: 0
          type: integer
        permission:
          $ref: '#/components/schemas/AccessKeyPermissionView'
      required:
        - nonce
        - permission
      type: object
    StoreValue:
      description: >-
        This type is used to mark values returned from store (arrays of bytes).


        NOTE: Currently, this type is only used in the view_client and RPC to be
        able to transparently

        pretty-serialize the bytes arrays as base64-encoded strings (see
        `serialize.rs`).
      format: bytes
      type: string
    StateChangeCauseView_variant0:
      properties:
        type:
          enum:
            - not_writable_to_disk
          type: string
      required:
        - type
      type: object
    StateChangeCauseView_variant1:
      properties:
        type:
          enum:
            - initial_state
          type: string
      required:
        - type
      type: object
    StateChangeCauseView_variant2:
      properties:
        tx_hash:
          $ref: '#/components/schemas/CryptoHash'
        type:
          enum:
            - transaction_processing
          type: string
      required:
        - type
        - tx_hash
      type: object
    StateChangeCauseView_variant3:
      properties:
        receipt_hash:
          $ref: '#/components/schemas/CryptoHash'
        type:
          enum:
            - action_receipt_processing_started
          type: string
      required:
        - type
        - receipt_hash
      type: object
    StateChangeCauseView_variant4:
      properties:
        receipt_hash:
          $ref: '#/components/schemas/CryptoHash'
        type:
          enum:
            - action_receipt_gas_reward
          type: string
      required:
        - type
        - receipt_hash
      type: object
    StateChangeCauseView_variant5:
      properties:
        receipt_hash:
          $ref: '#/components/schemas/CryptoHash'
        type:
          enum:
            - receipt_processing
          type: string
      required:
        - type
        - receipt_hash
      type: object
    StateChangeCauseView_variant6:
      properties:
        receipt_hash:
          $ref: '#/components/schemas/CryptoHash'
        type:
          enum:
            - postponed_receipt
          type: string
      required:
        - type
        - receipt_hash
      type: object
    StateChangeCauseView_variant7:
      properties:
        type:
          enum:
            - updated_delayed_receipts
          type: string
      required:
        - type
      type: object
    StateChangeCauseView_variant8:
      properties:
        type:
          enum:
            - validator_accounts_update
          type: string
      required:
        - type
      type: object
    StateChangeCauseView_variant9:
      properties:
        type:
          enum:
            - migration
          type: string
      required:
        - type
      type: object
    StateChangeCauseView_variant10:
      properties:
        type:
          enum:
            - bandwidth_scheduler_state_update
          type: string
      required:
        - type
      type: object
    RpcRequestValidationErrorKind_variant0:
      properties:
        info:
          properties:
            method_name:
              type: string
          required:
            - method_name
          type: object
        name:
          enum:
            - METHOD_NOT_FOUND
          type: string
      required:
        - name
        - info
      type: object
    RpcRequestValidationErrorKind_variant1:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - PARSE_ERROR
          type: string
      required:
        - name
        - info
      type: object
    RpcStateChangesError_variant0:
      properties:
        info:
          type: object
        name:
          enum:
            - UNKNOWN_BLOCK
          type: string
      required:
        - name
        - info
      type: object
    RpcStateChangesError_variant1:
      properties:
        name:
          enum:
            - NOT_SYNCED_YET
          type: string
      required:
        - name
      type: object
    RpcStateChangesError_variant2:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    InternalError_variant0:
      properties:
        info:
          properties:
            error_message:
              type: string
          required:
            - error_message
          type: object
        name:
          enum:
            - INTERNAL_ERROR
          type: string
      required:
        - name
        - info
      type: object
    AccessKeyPermissionView:
      description: >-
        Describes the permission scope for an access key. Whether it is a
        function call or a full access key.
      anyOf:
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant0'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant1'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant2'
        - $ref: '#/components/schemas/AccessKeyPermissionView_variant3'
    AccessKeyPermissionView_variant0:
      enum:
        - FullAccess
      type: string
    AccessKeyPermissionView_variant1:
      additionalProperties: false
      properties:
        FunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            method_names:
              items:
                type: string
              type: array
            receiver_id:
              type: string
          required:
            - receiver_id
            - method_names
          type: object
      required:
        - FunctionCall
      type: object
    AccessKeyPermissionView_variant2:
      additionalProperties: false
      properties:
        GasKeyFunctionCall:
          properties:
            allowance:
              anyOf:
                - $ref: '#/components/schemas/NearToken'
                - enum:
                    - null
                  nullable: true
            balance:
              $ref: '#/components/schemas/NearToken'
            method_names:
              items:
                type: string
              type: array
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
            receiver_id:
              type: string
          required:
            - balance
            - num_nonces
            - receiver_id
            - method_names
          type: object
      required:
        - GasKeyFunctionCall
      type: object
    AccessKeyPermissionView_variant3:
      additionalProperties: false
      properties:
        GasKeyFullAccess:
          properties:
            balance:
              $ref: '#/components/schemas/NearToken'
            num_nonces:
              format: uint16
              maximum: 65535
              minimum: 0
              type: integer
          required:
            - balance
            - num_nonces
          type: object
      required:
        - GasKeyFullAccess
      type: object

````